<?php
class AlbumPicasa
{
	public  $qry;
	private	$sql;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}

	public function InsertAlbumPicasa($id_evento, $id_x9_local, $usuario_picasa, $album_picasa, $descricao, $website, $qto_fotos)
	{
		$data = date('Y-m-d H:i:s');
		$website = addslashes($website);
		$album_picasa = addslashes($album_picasa);
		$descricao = addslashes($descricao);



		$this->sql = "INSERT INTO album_picasa 
							(id_evento, id_empresa, id_x9_local, usuario_picasa, album_picasa, descricao, data_criacao, website, qto_fotos)
							VALUES
							($id_evento, $this->id_empresa, $id_x9_local, '$usuario_picasa', '$album_picasa', '$descricao', '$data', '$website', $qto_fotos)";

		$this->execulta();
	}


	public function DeleteAlbumPicasa($id_album_picasa)
	{
		$this->sql = "DELETE FROM album_picasa 
						  WHERE id_album_picasa = $id_album_picasa";

		$this->execulta();
	}


	public function UpdateDescricaoWebSite($descricao, $id_album_picasa)
	{
		$descricao = addslashes($descricao);
		$this->sql = "UPDATE album_picasa 
						  SET descricao = '$descricao' 
						  WHERE id_album_picasa = $id_album_picasa";
		$this->execulta();

		echo '<a href="#" id="btnAlterarDescAlbum" desc="' . $descricao . ' " id_album_picasa="' . $id_album_picasa . '" title="Alterar a Descrição">' . $descricao . '</a>';
	}
}
